QGIS Application - Bug report #19896
Composer margin expression does not work
2018-09-19 08:21 PM - woo cho

Status: Closed
Priority: Normal
Assignee: Nyall Dawson
Category: Expressions

Affected QGIS version:3.2.3
Operating System:

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution:

Copied to github as #: 27720

Description

Hi

| downloaded QGIS 3.2.3 and | tried to change the composer(Atlas) > map layer > controlled by atlas > margin around a feature >

expressions, but it did not work(no apply).

Expressions didn't work, so | tried other variables or attribute fields, even constant(like '100") but it didn't work.

It worked when | used number to input box(%).

| thought it was a bug, so | tried with other old QGIS version, but it was same.

Can you fix this bug to next version, please?

Thank you.

Associated revisions

Revision c94eefb6 - 2018-10-22 09:57 PM - Nyall Dawson

[layouts] Fix data defined atlas margin isn't evaluated

Fixes #19896

History

#1 - 2018-10-22 04:47 AM - Nyall Dawson
- Assignee set to Nyall Dawson
- Status changed from Open to In Progress

#2 - 2018-10-22 10:56 PM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|c94eefb6df0bf9e504452986da943d7b9f8574c8.

#3 - 2018-10-29 04:05 AM - woo cho
Nyall Dawson wrote:

Applied in changeset commit:qgis|c94eefb6df0bf9e504452986da943d7b9f8574c8.

Thanks a lot for your update.

It works properly at the new version. :-)

Have a nice day!
